/*
 * Text
 *
 * Index
 * - Colors
 */

/* COLORS
 -------------------- */

/**
 * Primary
 */

:host(.text-primary) {
  color: var(--road-primary-10);
}

/**
 * Secondary
 */

:host(.text-secondary) {
  color: var(--road-secondary);
}

/**
 * Accent
 */

:host(.text-accent) {
  color: var(--road-secondary-50);
}

/**
 * Info
 */

:host(.text-info) {
  color: var(--road-on-info-surface);
}

/**
 * Success
 */

:host(.text-success) {
  color: var(--road-on-success-surface);
}

/**
 * Warning
 */

:host(.text-warning) {
  color: var(--road-on-warning-surface);
}

/**
 * Danger
 */

:host(.text-danger) {
  color: var(--road-on-danger-surface);
}

/**
 * Default
 */

:host(.text-default) {
  color: var(--road-on-surface);
}

/**
 * Default second
 */

:host(.text-default-second) {
  color: var(--road-grey-40);
}

/**
 * Disabled
 */

:host(.text-disabled) {
  color: var(--road-grey-60);
}

/**
 * White
 */

:host(.text-white) {
  color: var(--road-grey-100-new);
}
